[build_docs]
source-dir = docs
build-dir = docs/_build
all_files = 1

[upload_docs]
upload-dir = docs/_build/html
show-response = 1

[flake8]
max-line-length = 160
exclude =
    build,
    .eggs,
    .svn,
    CVS,
    .bzr,
    .hg,
    .git,
    __pycache__
select =
    F,
    E101,
    E111,
    E112,
    E113,
    E401,
    E402,
    E711,
    E722

[tool:pytest]
minversion = 3.0
norecursedirs = .eggs build docs/_build
doctest_plus = enabled

[aliases]
test=pytest

[metadata]
package_name = drizzle
description = A package for combining dithered images into a single image
long_description = A package for combining dithered images into a single image
author = STScI
author_email = help@stsci.edu
license = BSD
url = http://spacetelescope.github.io/drizzle/
edit_on_github = False
github_project = spacetelescope/drizzle
